import { Account, NetworkType } from 'symbol-sdk';
import { AccountResolver, CertificatePair, KeyName, Logger } from '../';
/**
 * Prompt ready implementation of the account resolver.
 */
export declare class BootstrapAccountResolver implements AccountResolver {
    private readonly logger;
    constructor(logger: Logger);
    resolveAccount(networkType: NetworkType, account: CertificatePair | undefined, keyName: KeyName, nodeName: string, operationDescription: string, generateErrorMessage: string | undefined): Promise<Account>;
}
